Packages issue after Mint 13 to 14 dist-upgrade

Questions about Grub, UEFI,the liveCD and the installer
Forum rules
Before you post please read this

Packages issue after Mint 13 to 14 dist-upgrade

Postby unprinted on Tue Nov 27, 2012 7:12 pm

Despite knowing that it's not fully supported, I used the dist-upgrade method of upgrading. It almost worked too :)

However there's a problem with the package database.

sources.list
Code: Select all
deb http://packages.linuxmint.com/ nadia main upstream import backport
deb-src http://packages.linuxmint.com/ nadia main upstream import backport #Added by software-properties
deb http://archive.ubuntu.com/ubuntu/ quantal restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ quantal-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu/ quantal-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ quantal partner

deb http://packages.medibuntu.org/ quantal free non-free

# deb http://archive.getdeb.net/ubuntu quantal-getdeb apps
# deb http://archive.getdeb.net/ubuntu quantal-getdeb games

deb http://repository.spotify.com stable non-free


To pick a non-random example, if I look at libfontconfig1

Code: Select all
$ dpkg -l libfontconfig1
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                              Version                           Description
+++-=================================-=================================-==================================================================================
ii  libfontconfig1                    2.8.0-3ubuntu9.1                  generic font configuration library - runtime


and if I try to ensure it is the latest version, I'm told that it is:

Code: Select all
$ sudo apt-get install libfontconfig1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libfontconfig1 is already the newest version.


.. except that the version in the Ubuntu repositories is 2.10.1-0ubuntu3 - see http://packages.ubuntu.com/quantal/libs/libfontconfig1 - and one package I'd like to install is expecting at least 2.10.*

If I do a sudo apt-get upgrade (or dist-upgrade) I am told there are 120-odd packages being held back because of issues like this.

sudo apt-get check reveals no problems, but there clearly is...
unprinted
Level 2
Level 2
 
Posts: 55
Joined: Wed Jun 09, 2010 6:38 am

Linux Mint is funded by ads and donations.
 

Re: Packages issue after Mint 13 to 14 dist-upgrade

Postby remoulder on Fri Nov 30, 2012 2:18 pm

[Edit] your original post and add [SOLVED] once your question is resolved.

“The people are my God” stressing the factor determining man’s destiny lies within man not in anything outside man, and thereby defining man as the dominator and remoulder of the world.
User avatar
remoulder
Level 17
Level 17
 
Posts: 7667
Joined: Fri May 09, 2008 1:14 pm

Re: Packages issue after Mint 13 to 14 dist-upgrade

Postby unprinted on Fri Nov 30, 2012 3:23 pm

Sorry, I failed to make it obvious that I had read that and the 'how to do a package upgrade' one http://community.linuxmint.com/tutorial/view/62.

Doing it the latter way works in Debian. It works in Ubuntu. Why on earth does it not work properly in Mint?

I've been using Mint for erm about four years now. Every time I go 'perhaps it will work this time' and every time, it does. Almost. The only difference is how £$%^ed up the 'almost' is. Sometimes you can fix it, sometimes you can't. Fortunately - and this should be the default set up - /home is on a different partition from / so when it's not fixable, it's relatively easy to install the new version in /... but argh, what is it that breaks utterly fundamental Debian behaviour?
unprinted
Level 2
Level 2
 
Posts: 55
Joined: Wed Jun 09, 2010 6:38 am

Re: Packages issue after Mint 13 to 14 dist-upgrade

Postby zerozero on Fri Nov 30, 2012 3:59 pm

unprinted wrote:Doing it the latter way works in Debian. It works in Ubuntu. Why on earth does it not work properly in Mint?
works in debian yes, in ubuntu is not that sure (as long as we still have a 1 to 5 ratio of failures average the upgrade process is faulty)

as for this particular issue (without wanting to get into much detail: you are doing something that is unsupported and not recommended and you should knw how to get yourself out of the troubles you caused :D )
Code: Select all
apt-cache policy libfontconfig1

Code: Select all
sudo apt-get install libfontconfig1=<insert latest version here>

tip: probably check also fontconfig-config.


good luck
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: Packages issue after Mint 13 to 14 dist-upgrade

Postby unprinted on Fri Nov 30, 2012 4:49 pm

I know it's not supported, but that's not an excuse for it not working. Some Mint change has broken this. It was either a change long ago that's not been fixed, or a series of different things that break it every.. single.. time.

That would probably do one package, but there are lots of them with inconsistent versions. The update took away totem and vlc, for example, and neither wants to install because of 'outdated' packages that are not being properly upgraded.

I can see that the real solution is to, once again, do a new install. I cannot count that as 'solved'.
unprinted
Level 2
Level 2
 
Posts: 55
Joined: Wed Jun 09, 2010 6:38 am

Re: Packages issue after Mint 13 to 14 dist-upgrade

Postby zerozero on Fri Nov 30, 2012 4:58 pm

unprinted,
libfontconfig1 is one of the most powerful libraries in the system; almost half of the system depends on it.
the following test was made in debian but the issue is exactly the same
viewtopic.php?f=198&t=108355&hilit=+libfontconfig1#p609948
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm


Return to Installation & Boot

Who is online

Users browsing this forum: Google [Bot], Smokeyflave, tandrej and 20 guests